Field: ios - should NOT have additional property 'associatedDomains

Please provide the following:

  1. SDK Version: 38
  2. Platforms(Android/iOS/web/all): Android and iOS

I need to use associated domains in my ios app, but when I try to add the key in app.json I get the error in the title: 'Field: ios - should NOT have additional property ‘associatedDomains’.

As far as I can tell the docs still say that this is a valid property in app.json. I believe I have the correct structure (expo -> ios -> associatedDomains -> ). Is this a problem with what I am doing or has this property been deprecated recently?

Hey @terryr518,

Based on your description, everything seems to be in order. I just created a new project and added the associatedDomains key without issue. Can you run expo diagnostics and paste what it prints out here?

Cheers,
Adam

Expo CLI 3.23.3 environment info:
    System:
      OS: Windows 10 10.0.19041
    Binaries:
      Node: 12.18.3 - C:\Program Files\nodejs\node.EXE
      npm: 6.14.6 - C:\Program Files\nodejs\npm.CMD
    IDEs:
      Android Studio: Version  3.6.0.0 AI-192.7142.36.36.6308749
    npmPackages:
      expo: ^38.0.0 => 38.0.10
      react: 16.11.0 => 16.11.0
      react-native: https://github.com/expo/react-native/archive/sdk-38.0.2.tar.gz => 0.62.2
      react-navigation: ^4.4.0 => 4.4.0

Sorry for the late reply…

Thanks,
Terry

Okay I have no idea why but I tried running it again just to see if the error still shows up but it seems to be gone now. I’ll let you know if it comes back again, but thanks for your help.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.